@import '~@guildion/next/styles/component.module.scss';

.container {
  position: sticky;
  position: -webkit-sticky;
  top: 0;
  z-index: 1;
  width: 100%;
  height: 100vh;
  background: var(--background-most);
  padding: 0 40px;
  &-inner {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 1240px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

.device {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 32px;
  z-index: -1;
  &-scale {
    transform: scale(0.85);
    @include mq-down(xl) {
      transform: scale(0.8);
    }
    @include mq-down(lg) {
      transform: scale(0.75);
    }
    @include mq-down(md) {
      transform: scale(0.7);
    }
    @include mq-down(fm) {
      transform: scale(0.6);
    }
  }
  &-inner {
    width: 100%;
    height: 100%;
    position: relative;
    background: var(--background-subm1);
    overflow: hidden;
  }
}

.text {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  justify-content: space-around;
}

.title {
  width: 100%;
  padding-bottom: 120px;
  @include mq-down(lg) {
    position: relative;
  }
  &-inner {
    font-size: 84px;
    @include make-gradietion-text;
    font-family: var(--default-font-family);
    font-weight: bold;
    display: block;
    text-align: left;
    @include mq-down(xl) {
      font-size: 72px;
    }
    @include mq-down(lg) {
      font-size: 64px;
      position: absolute;
      left: 0;
      white-space: pre;
      display: inline;
    }
    @include mq-down(md) {
      top: 40px;
      left: 40px;
    }
    @include mq-down(fm) {
      font-size: 44px;
      left: 0px;
      top: 80px;
      text-align: center;
    }
  }
}

.widget {
  width: 100%;
  height: calc(100% - 204px - 48px - 28px - 2px);
  position: relative;
}

.messages {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  right: 0;
  top: 100%;
}

.description {
  width: 100%;
  padding-top: 120px;
  &-inner {
    font-size: 18px;
    line-height: 32px;
    font-family: var(--default-font-family);
    color: var(--element-subp1);
    display: block;
    text-align: left;
    word-wrap: break-word;
    white-space: pre-wrap;
    @include mq-down(lg) {
      font-size: 14px;
      line-height: 24px;
      margin-right: 12px;
    }
    @include mq-down(md) {
      font-size: 12px;
      line-height: 22px;
      margin-right: 12px;
    }
    @include mq-down(fm) {
      position: absolute;
      // white-space: pre;
      display: block;
      top: -80px;
      text-align: center;
      width: calc(100vw - 100px);
      margin: 0 auto;
      padding-left: 20px;
    }
  }
}

.player {
  width: 100%;
  height: 204px;
  position: relative;
  &-thumbnail {
    position: relative;
    width: 100%;
    height: 100%;
  }
  &-video {
    position: relative;
    width: 100%;
    height: 100%;
  }
  & video {
    position: relative;
    width: 100%;
    height: 100%;
  }
}

.bar {
  width: 100%;
  height: 48px !important;
}